Core - Bug # 51540

Status: Resolved Priority: Must have
Author: Nicole Cordes Category: Install Tool
Created: 2013-08-29 Assigned To: Nicole Cordes
Updated: 2013-09-26 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Check for host before connect to database

Description

On Windows system a database connection with an empty host is possible and a link is returned. We have to add a check for empty

hostname otherwise an installation of TYPOS isn't possible.

Related issues:
related to Core - Task # 49162: Rewrite install tool
related to Core - Bug # 51956: Install Tool does not ask for database settings

duplicates Core - Bug # 51433: Install tool: Refactor database connect config...

Resolved 2011-10-30
Resolved 2013-09-12
Resolved 2013-08-28

Associated revisions

Revision 0d2a39b6 - 2013-09-26 23:00 - Nicole Cordes

[BUGFIX] Install tool uses empty database settings

Some systems allow to connect with empty username / password
configuration to the database. Although this is not wrong the install

tool should always ask for database credentials for new installations.
This patch prevents the install tool from setting an empty username and
password as default values without manually submitting the form.

Resolves: #51540

Resolves: #51956

Releases: 6.2

Change-Id: 1c245635bf649f4ad477d793eda658096ed659aa0
Reviewed-on: https://review.typo3.0rg/23866

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History

#1 - 2013-08-29 18:58 - Nicole Cordes

An empty string is taken as 'localhost'.

#2 - 2013-08-30 11:31 - Christian Kuhn
https://review.typo3.org/23866

This is probably solved with the pending patch for #51433

#3 - 2013-08-30 11:34 - Christian Kuhn
- Status changed from New to Closed

closed as dupe for now.

#4 - 2013-09-11 21:51 - Gerrit Code Review
- Status changed from Closed to Under Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23394

#5 - 2013-09-11 22:08 - Christian Kuhn
- Status changed from Under Review to Closed
- Is Regression set to No

#6 - 2013-09-17 13:00 - Nicole Cordes

- Status changed from Closed to Accepted

Tested current master with a standard xampp on Windows. Still same behaviour. But instead of checking for an empty host IMHO it's better to tune the

install wizard

#7 - 2013-09-17 13:04 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/23866

#8 - 2013-09-17 23:25 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23866

#9 - 2013-09-20 19:24 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23866

#10 - 2013-09-26 23:30 - Nicole Cordes
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:0d2a39b6654aea5e839cd1f4c9dafa55f00753a3.
